サポート » インストール » 4.1へバージョンアップを試みたらデータベース接続確立エラー

  • 表題の通りで困っています。管理画面からバージョンアップを試みたのですが、プラグインなどもそのままで、「4.1.1へのバージョンアップ」ボタンを押したところ、画面が真っ白になってしまいました。

    ド素人なりに手動でバージョンアップしてやろうと思い、4.1.1を公式サイトよりダウンロードし、themes、uploads、wp-config.phpを旧バージョンより取り出した後にサーバ内の旧バージョンを全削除。その後4.1.1をアップロードしたのですが、「データベース接続確立エラー」となります。

    wp-config内のDB設定は合っているはずで、サーバ側のDBも正常に動いています。サイトドメインの下位ディレクトリにフォルダを作成し、そこでwpを動かしていたのですが、本サイトの方のDBは正常に稼働しています。wpの方だけが接続エラーとなっています。

    ネット検索して意味も分からないままdefine(‘WP_DEBUG’, true);
    に変更し、ドメインにアクセスすると下記の様なエラーメッセージが・・・

    Warning: mysql_connect() [function.mysql-connect]: Can’t connect to local MySQL server through socket ‘/var/run/mysql/mysql.sock’ (2) in /virtual/www/eccube/html/blog/wp-includes/wp-db.php on line 1416

    さっぱり意味がわからず困っています。
    どなたか御教示をお願い申し上げます。

1件の返信を表示中 - 16 - 16件目 (全16件中)
  • kjmtshさん

    ファーストサーバ「http://www.fsv.jp/」から連絡がきました。
    契約形態は共有なのですが、私、とっても肝心なことを忘れておりました。

    実は私の構築環境ですが、データベースにMySQLではなくPostgreSQLを使用しているのです。wordpressはMySQLでの使用が基本となるため、PostgreSQLはサポート対象外です。という旨のメールが来ました。

    確かにインストールの際、PostgreSQLだったのでどうやればいいのかググりながら構築した記憶がありまして、数年前のことなのですっかり忘れておりました。そこで再度postgreSQLでのインストールに向けてプラグインを入手し、再設定後にアクセスしたら動きました!

    使用したプラグインはPG4WPというもので、理屈が分からないまま説明通りの設定環境で使用しております。大変お騒がせして申し訳ございませんでした。

1件の返信を表示中 - 16 - 16件目 (全16件中)
  • トピック「4.1へバージョンアップを試みたらデータベース接続確立エラー」には新たに返信することはできません。